Package org.apache.sling.feature.analyser.extensions

# Class AnalyserMetaDataExtension.SystemBundle

java.lang.Object
org.apache.sling.feature.analyser.extensions.AnalyserMetaDataExtension.SystemBundle

Enclosing class:
  `AnalyserMetaDataExtension`

public static class AnalyserMetaDataExtension.SystemBundle extends Object

## Constructor Summary

Constructors
Constructor
Description
`SystemBundle(Map<String,String> manifest, org.apache.sling.feature.ArtifactId artifactId, String scannerCacheKey)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.feature.ArtifactId`
`getArtifactId()`
`Map<String,String>`
`getManifest()`
`String`
`getScannerCacheKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SystemBundle

public SystemBundle(Map<String,String> manifest, org.apache.sling.feature.ArtifactId artifactId, String scannerCacheKey)

## Method Details

### getArtifactId

public org.apache.sling.feature.ArtifactId getArtifactId()

### getManifest

public Map<String,String> getManifest()

### getScannerCacheKey

public String getScannerCacheKey()